rm (list=ls())
options(warn=2)

Dateien<-dir(path="RESULTS/",pattern="Turtle_")
load(paste0("RESULTS/",Dateien[1]))

pops<-array(0,dim=c(length(popsize),length(Wert1),length(Wert2),length(Wert3))) #mean population sizes
deatdpops<-pops*0 #number of extinct populations per time
fems<-pops #female ratio
mgenes<-pops #meangene
enzs<-pops #mean enzyme
shades<-pops #meanshade
ns<-pops #northern beach
ss<-pops #southern beach
es<-pops #eastern beach
curseras<-array(0,dim=c(3,length(Wert1),length(Wert2),length(Wert3)))#sex ratio 2018

pops_sd<-pops*0 #sdpopulation sizes
fems_sd<-pops_sd #female ratio
mgenes_sd<-pops_sd #meangene
enzs_sd<-pops_sd #mean enzyme
shades_sd<-pops_sd #meanshade
ns_sd<-pops_sd #northern beach
ss_sd<-pops_sd #southern beach
es_sd<-pops_sd #eastern beach
curseras_sd<-curseras


for (ol in 1:length(Dateien)){
  if(ol %in% round(seq(1,length(Dateien),length.out=11))){print(noquote(paste(round(ol/length(Dateien)*100)," % done"))) }# shows that thing is actually doing somthing.... and how many % are done
  load(paste0("RESULTS/",Dateien[ol]))
  p1<-which(Wert1==W1)
p2<-which(Wert2==W2)
p3<-which(Wert3==W3)
  x<-!is.na(popsize)

  pops[x,p1,p2,p3]<-+pops[x,p1,p2,p3]+popsize[x]
deatdpops[!x,p1,p2,p3]<-deatdpops[!x,p1,p2,p3]+1
  fems[x,p1,p2,p3]<-fems[x,p1,p2,p3]+females[x]
  mgenes[x,p1,p2,p3]<-mgenes[x,p1,p2,p3]+meangene[x]
  enzs[x,p1,p2,p3]<-enzs[x,p1,p2,p3]+meanenzyme[x]
  shades[x,p1,p2,p3]<-shades[x,p1,p2,p3]+meanshade[x]
  if(exists("curseras")){
  curseras[,p1,p2,p3]<-curseras[,p1,p2,p3]+cursera
  curseras_sd[,p1,p2,p3]<-curseras_sd[,p1,p2,p3]+1/repl*curseras[,p1,p2,p3]^2
  }
  if(exists("north")){
  ns[x,p1,p2,p3]<-ns[x,p1,p2,p3]+north[x]
  ss[x,p1,p2,p3]<-ss[x,p1,p2,p3]+south[x]
  es[x,p1,p2,p3]<-es[x,p1,p2,p3]+east[x]

  ns_sd[x,p1,p2,p3]<-ns_sd[x,p1,p2,p3]+1/repl*north[x]^2
  ss_sd[x,p1,p2,p3]<-ss_sd[x,p1,p2,p3]+1/repl*south[x]^2
  es_sd[x,p1,p2,p3]<-es_sd[x,p1,p2,p3]+1/repl*east[x]^2
  }
  
  pops_sd[x,p1,p2,p3]<-pops_sd[x,p1,p2,p3]+1/repl*popsize[x]^2
  fems_sd[x,p1,p2,p3]<-fems_sd[x,p1,p2,p3]+1/repl*females[x]^2
  mgenes_sd[x,p1,p2,p3]<-mgenes_sd[x,p1,p2,p3]+1/repl*meangene[x]^2
  enzs_sd[x,p1,p2,p3]<-enzs_sd[x,p1,p2,p3]+1/repl*meanenzyme[x]^2
  shades_sd[x,p1,p2,p3]<-shades_sd[x,p1,p2,p3]+1/repl*meanshade[x]^2
}

options(warn=(1))

pops<-+pops/repl
fems<-fems/repl
mgenes<-mgenes/repl
enzs<-enzs/repl
shades<-shades/repl
  ns<-ns/repl
  ss<-ss/repl
  es<-es/repl

pops_sd2<-pops_sd-pops^2
fems_sd2<-fems_sd-fems^2
mgenes_sd2<-mgenes_sd-mgenes^2
enzs_sd2<-enzs_sd-enzs^2
shades_sd2<-shades_sd-shades^2
ns_sd2<-ns_sd-ns^2
es_sd2<-es_sd-es^2
ss_sd2<-ss_sd-ss^2
curseras_sd2<-curseras_sd-curseras^2
save(list=ls(),file="compressed.RData")

